gloss-1.13.2.1: Painless 2D vector graphics, animations and simulations.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Gloss.Geometry.Angle

Description

Geometric functions concerning angles. If not otherwise specified, all angles are in radians.

Synopsis

- degToRad :: Float -> Float
- radToDeg :: Float -> Float
- normalizeAngle :: Float -> Float

# Documentation

degToRad :: Float -> Float #

Convert degrees to radians

radToDeg :: Float -> Float #

Convert radians to degrees

normalizeAngle :: Float -> Float #

Normalize an angle to be between 0 and 2*pi radians